Subject: JMP> Reposting of JMP Attribute Properties (attr-tab.doc .pdf)

From: Tom Hastings <[email-masked]>
Date: Fri, 9 May 1997 02:38:13 PDT

I added a column to indicate the attributes that are accessible through
the Job State table (the S column).  This may help everyone understand
the Job State Table better and its relationship to the Attributes table.  
I've reposted as:

ftp://ftp.pwg.org/pub/pwg/jmp/contributions/
-rw-r--r--   1 pwg      pwg        34304 May  9 09:35 attr-tab.doc
-rw-r--r--   1 pwg      pwg        48490 May  9 09:36 attr-tab.pdf

Here is the updated column headings in the table and the table entries:

Col
Heading Description

#	enum value for jmAttributeTypeIndex, e.g., JmAttributeTypeIndexTC
I/O	Integer vs. OCTET STRING:
	I = Integer32(-2..2147483647)
	O = OCTET STRING(SIZE(0..63))
	I/O = Integer OR OCTET STRING
	I+O = Integer AND OCTET STRING
TC	Integer is a textual-convention in this or the Printer MIB
M	Conformance requirements for an agent:
	M = Mandatory
	<blank> = Conditionally Mandatory
>1	MULTI-ROW (more than one row allowed):
	>1 = MULTI-ROW
	<blank> = one one row allowed for this attribute
S	Accessible through Job State Table (and the Attributes Table)
	<blank> = only in the Attributes table
L	linked with the Printer MIB, such that the Printer MIB must be implemented
for 
	this attribute to provide a meaningful value to the application.  Printer MIB 
	textual-conventions are not flagged as linked.
M/A	Application program usage:
	M = Monitoring application will use
	A = Accounting (or system utilization) application will use
	MA = both a Monitoring and an Accounting application will use.
S/D	STATIC vs. DYNAMIC:
	S = STATIC (doesn't usually change, ModifyJob operation may change)
	D = DYNAMIC (expected to change during the life time of the job)
S/P/D/A	When is the STATIC or DYNAMIC attribute value first assigned:
	S = submission time
	P = start of processing
	D = during processing and/or printing
	C = completion
	a = any time.
states = job state(s) in which the attribute value is of interest:  
	H = held
	Pen = Pending
	Pro = Processing
	Pri = Printing
	N = needsAttention
	Can = canceled
	Com = completed
	a = all states.